<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "courier";
$formname = "Courier Print";
$file = "courier_print.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

if (isset($_POST["view"])) {
    $name = $_POST[name];
    $country = $_POST[country];
    $city = $_POST[city];

    $namecond = "";
    $countrycond = "";
    $citycond = "";

    if (!empty($name)) {
        $namecond = " where `code`='$name' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` LIKE '%$city%' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb`  $namecond $citycond $countrycond ") or die(mysqli_error($conn));

    include("includes/linkshead.php");
    ?>
    </head>
    <body>
        <div class="container">

            
    <?php include("includes/head_rep.php");
    ?>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-bordered table-hover">
                        <tr  style="background-color: #1ABC9C">
                            <th>Sr</th>
                            <th>Name</th>
                            <th>Address</th>
                            <th>Country</th>
                            <th>City</th>
                            <th>Email</th>
                            <th>Pin</th>
                            <th>Tel</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {

                            Echo "<tr>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$pmain[name]</td>";
                            Echo "<td>$pmain[add1] $pmain[add2] $pmain[add3] </td>";
                            Echo "<td>$pmain[country]</td>";
                            Echo "<td>$pmain[city]</td>";
                            Echo "<td>$pmain[email]</td>";
                            Echo "<td>$pmain[pin]</td>";
                            Echo "<td>$pmain[telno]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?
}
if (isset($_POST["excel"])) {
    $name = $_POST[name];
    $country = $_POST[country];
    $city = $_POST[city];

    $namecond = "";
    $countrycond = "";
    $citycond = "";

    if (!empty($name)) {
        $namecond = " WHERE `code`='$name' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` LIKE '%$city%' ";
    }
    
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb`  $namecond $citycond $countrycond ") or die(mysqli_error($conn));

    $contents.="Sr.,Name,Address,Country,City,Email,Pin,Tel,\n";

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $pname = $pmain[name];
        $paddress = $pmain[add1] . " " . $pmain[add2] . " " . $pmain[add3];
        $pcountry = $pmain[country];
        $pcity = $pmain[city];
        $pemail = $pmain[email];
        $ppin = $pmain[pin];
        $ptel = $pmain[telno];

        $contents.=$ctr . ",";
        $contents.=$pname . ",";
        $contents.=$paddress . ",";
        $contents.=$pcountry . ",";
        $contents.=$pcity . ",";
        $contents.=$pemail . ",";
        $contents.=$ppin . ",";
        $contents.=$ptel . "\n";
        $ctr++;
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>
